#4008 DHCP server will does not start

1.570
open
5
2011-10-17
2011-10-17
Anonymous
No

I just installed webmin 1.570 on an OpenBSD 4.9/i386 system. After editing/adding some hosts to the DHCP server module, the daemon stops but fails to restart after pressing the Apply Changes button. Here is the error messages in: /var/log/messages

Oct 17 09:43:24 fs dhcpd[10383]: Can't open f: No such file or directory
Oct 17 09:43:24 fs dhcpd[10383]: exiting.
Oct 17 09:43:46 fs dhcpd[25019]: Can't open f: No such file or directory
Oct 17 09:43:46 fs dhcpd[25019]: exiting.

Discussion

  • Jamie Cameron

    Jamie Cameron - 2011-10-17

    Could you attach your /etc/dhcpd.conf and /etc/webmin/dhcpd/config files to this bug report?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-11-01

    Here are the two files as per your request:

    # cat /etc/dhcpd.conf
    # $OpenBSD: dhcpd.conf,v 1.2 2008/10/03 11:41:21 sthen Exp $
    #
    # DHCP server options.
    # See dhcpd.conf(5) and dhcpd(8) for more information.
    #

    # Network: 192.168.1.0/255.255.255.0
    # Domain name: my.domain
    # Name servers: 192.168.1.3 and 192.168.1.5
    # Default router: 192.168.1.1
    # Addresses: 192.168.1.32 - 192.168.1.127
    #
    #option domain-name "my.domain";
    #option domain-name-servers 192.168.1.3, 192.168.1.5;

    subnet 192.168.2.0 netmask 255.255.254.0 {
    option routers 192.168.2.1;
    }

    subnet 172.17.132.0 netmask 255.255.255.128 {
    default-lease-time 1200;
    option routers 172.17.132.1;
    range 172.17.132.100 172.17.132.115;
    }

    subnet 172.17.136.0 netmask 255.255.255.128 {
    default-lease-time 600;
    option routers 172.17.136.1;
    range 172.17.136.100 172.17.136.115;
    }

    group {
    option domain-name "ccms.utoronto.ca";
    default-lease-time 86400;
    max-lease-time 172800;

    host mux61 {
    hardware ethernet 00:04:25:1C:83:DC;
    fixed-address 172.17.132.12;
    }

    host mux62 {
    hardware ethernet 00:04:25:1C:85:3C;
    fixed-address 172.17.136.13;
    }

    host mux63 {
    hardware ethernet 00:04:25:1C:85:2E;
    fixed-address 172.17.136.12;
    }
    }

    #subnet 192.168.1.0 netmask 255.255.255.0 {
    # option routers 192.168.1.1;
    #
    # range 192.168.1.32 192.168.1.127;
    #
    # host static-client {
    # hardware ethernet 22:33:44:55:66:77;
    # fixed-address 192.168.1.200;
    # }
    #
    # host pxe-client {
    # hardware ethernet 02:03:04:05:06:07;
    # filename "pxeboot";
    # next-server 192.168.1.1;
    # }
    #}

    fs.eis# pwd
    /usr/local/etc/webmin/dhcpd
    fs.eis# cat config
    lease_file=/var/db/dhcpd.leases
    dhcpd_path=/usr/sbin/dhcpd
    display_max=100
    group_name=0
    lease_tz=0
    version=3
    lease_sort=0
    show_mac=0
    dhcpd_conf=/etc/dhcpd.conf
    desc_name=0
    show_ip=0
    dhcpd_nocols=5
    dhcpd_version=3
    dhcpd_size=102556
    dhcpd_mtime=1299074060

     
  • Jamie Cameron

    Jamie Cameron - 2011-11-01

    Actually, it looks like Webmin may be starting dhcpd with the wrong flags.

    Which dhcpd version are you running there? Or which Linux distribution or operating system and version?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-11-01

    My first comment indicates that I am using OpenBSD 4.9. They use code based on ISC dhcpd.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-11-01

    The only argument I use is the name of the BSD interface. In my case: bnx0. E.g.

    /usr/sbin/dhcpd bnx0

     
  • Jamie Cameron

    Jamie Cameron - 2011-11-01

    If you run "dhcpd -v" , what version number does it show?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-02-15

    I do not think you have responded to my comment which I gave after yours: 2011-11-01 07:22:28 PDT.

    Do you need more information on my configuration?

     
  • Jamie Cameron

    Jamie Cameron - 2012-02-16

    Did you see my comment : If you run "dhcpd -v" , what version number does it show?

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks